<ion-header>
  <ion-toolbar>
    <!--<ion-input class="inpuut" type="text" [(ngModel)]="name" text-right id="input" ></ion-input>-->
    <ion-grid>
      <ion-row justify-content-center align-items-center>
        <ion-col col-6>
          <ion-title float-left id="TITOLO">Avvisi</ion-title>
        </ion-col>
        <ion-col col-6>
          <ion-button fill="clear" float-right (click)="OpenCloseRicerca()" id="btnImpostazioniRicerca" color="light">
            <svg width='24' height='24' viewBox='0 0 24 24'>
              <path fill='none' d='M0 0h24v24H0V0z' />
              <path
                d='M15.5 14h-.79l-.28-.27C15.41 12.59 16 11.11 16 9.5 16 5.91 13.09 3 9.5 3S3 5.91 3 9.5 5.91 16 9.5 16c1.61 0 3.09-.59 4.23-1.57l.27.28v.79l5 4.99L20.49 19l-4.99-5zm-6 0C7.01 14 5 11.99 5 9.5S7.01 5 9.5 5 14 7.01 14 9.5 11.99 14 9.5 14z' />
            </svg>
          </ion-button>
        </ion-col>
      </ion-row>
    </ion-grid>
  </ion-toolbar>
  <ion-searchbar (ionChange)="Ricerca()" placeholder="Cerca" id="barraDiRicerca" [(ngModel)]="name"></ion-searchbar>

</ion-header>
<ion-content>
  <div class="ion-padding">
    <div *ngFor="let item of datiRicerca" id="contenitoreAnteprima">
      <wc-anteprima id="elemento" img={{item.image}} titolo={{item.title}}
      descrizione={{item.description}}
      luogo={{item.address}}
        orario={{item.eventTiming}} datapubblicazione={{formattaData(item.created)}} dataevento={{item.eventDate}}
        durata={{eventTiming}}>
      </wc-anteprima>
    </div>
  </div>
</ion-content>